#ifndef _OCCLUM_UTILS_H
#define _OCCLUM_UTILS_H

#include <stdint.h>
#include <stdlib.h>

#include "sgx_report.h"
#include "sgx_qve_header.h"

#ifdef __cplusplus
extern "C"
{
#endif

  void *utils_ioctl_open(void);

  int32_t utils_gen_key(void *handle, sgx_key_128bit_t *key, const sgx_key_request_t *key_request);

  void utils_ioctl_close(void *handle);

#ifdef __cplusplus
}
#endif

#endif
